package com.tiangua.star.enmus;

import com.tiangua.kirin.api.StringCodeable;
import com.tiangua.kirin.utils.EnumUtils;

public enum CommercialCallBackReadyEnum implements StringCodeable {

    Commercial_ONE("4330", "445759631851840business", "http://rcw.notify.succtime.com/customerNotify/getCustomerInfo"),
    Commercial_Test("2336", "1778fd4985a9240809111258business", "http://rcw.notify.succtime.com/customerNotify/getCustomerInfo");

    private String code;
    private String busid;
    private String url;

    CommercialCallBackReadyEnum(String code, String busid, String url) {
        this.code = code;
        this.busid = busid;
        this.url = url;
    }

    public static CommercialCallBackReadyEnum of(String code) {
        return EnumUtils.stringValueOf(CommercialCallBackReadyEnum.class, code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getBusid() {
        return this.busid;
    }

    public String getUrl() {
        return this.url;
    }
}

